/*
**  conio.h             ANSI C++, ANSI C, and K&R Runtime Library
**
**  Copyright (C)       Microway, Inc. 1987 - 1994.
**			P.O. BOX 79
**			Kingston, MA. 02364
**			(508) 746 - 7341 Voice
**			(508) 746 - 4678 FAX
**			e-mail uunet!microway!mark
**			       mark@microway.com
**
**  This program is the property of Microway, Inc, its contents are
**  proprietary information and no part of it is to be disclosed to anyone
**  except employees of Microway, Inc., or as agreed in writing by the
**  President of Microway, Inc.
*/

#ifndef _CONIO_H
#define _CONIO_H

/* Typedefs for i860 dependent return values */
#ifndef __TDEFS
#define __TDEFS

#ifdef __i860

typedef void _int;
typedef void _unsigned;
typedef int  _pchar;
typedef int  _pvoid;

#else

typedef int      _int;
typedef unsigned _unsigned;
typedef char *   _pchar;
typedef void *   _pvoid;

#endif /* __i860 */

#endif /* __TDEFS */

#if defined(__STDC__) || defined(__NDPX__)

#ifdef __NDPX__                 /* C++ */
   extern "C" {
#endif

char *    cgets(char *_String);
int       cputs(const char *_String);
int       getch(void);
int       getche(void);
int       inp(unsigned _Port);
int       inpd(unsigned _Port);
int       inpw(unsigned _Port);
int       kbhit(void);
_int      outp(unsigned _Port, int _Byte);
_int      outpd(unsigned _Port, unsigned _Doubleword);
_int      outpw(unsigned _Port, unsigned _Word);
int       putch(int);
int       ungetch(int);


#ifdef __NDPX__         /* C++ */
   }
#endif

#else /* K&R */

char *    cgets();
int       cputs();
int       getch();
int       getche();
int       inp();
int       inpd();
int       inpw();
int       kbhit();
_int      outp();
_int      outpd();
_int      outpw();
int       putch();
int       ungetch();

#endif /* __STDC__ || __NDPX__ */

#endif /* _CONIO_H */
